#!/usr/bin/env python
# encoding: utf-8
"""
@author: simin. Gong
@license: (C) Copyright 2013-2023 Spacemit Corporation Limited.
@contact: simin.gong@spacemit.com
@file: plugin_base.py
@date: 2024/12/5 20:21 
@desc:
"""

import abc
class PluginBase(metaclass=abc.ABCMeta):

    @abc.abstractmethod
    def start(self):
        pass

    @abc.abstractmethod
    def get_date_queue(self):
        pass

    @abc.abstractmethod
    def stop(self):
        pass